document.addEventListener('DOMContentLoaded', function() {
  // Syntax highlighting for code example
  const codeExample = document.querySelector('.code-example code');
  if (codeExample) {
    const scrollCode = codeExample.textContent;
    // Simple syntax highlighting
    const highlighted = scrollCode
      .replace(/(^|\n)([a-z]+)(?=\s|$)/gm, '$1<span class="keyword">$2</span>')
      .replace(/(class|id|href)\s/g, '<span class="attr">$1</span> ')
      .replace(/#[a-z-]+/g, '<span class="value">$&</span>');
    codeExample.innerHTML = highlighted;
  }

  // Render the example output
  const outputContainer = document.querySelector('.rendered-output');
  if (outputContainer) {
    const exampleHTML = `
      <header class="hero" style="padding: 2rem; margin-bottom: 1rem; background: var(--primary); color: white; border-radius: 8px;">
        <h1 style="margin: 0;">Hello World</h1>
        <p style="margin: 0.5rem 0 0;">Welcome to my Scroll document</p>
      </header>
      <main>
        <section id="features" style="margin-bottom: 1rem;">
          <h2 style="margin: 0 0 0.5rem;">Features</h2>
          <ul style="padding-left: 1.5rem;">
            <li>Simple syntax</li>
            <li>Clean output</li>
            <li>Easy to learn</li>
          </ul>
        </section>
      </main>
      <footer style="margin-top: 1rem; padding-top: 1rem; border-top: 1px solid #ddd;">
        <p style="margin: 0;">Made with Scroll</p>
      </footer>
    `;
    outputContainer.innerHTML = exampleHTML;
  }

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });
});